## org.metaabm.act.provider
Class AActItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.IIDItemProvider
                      org.metaabm.act.provider.AActItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

Direct Known Subclasses:
  AAccessorItemProvider, AAllItemProvider, AAnyItemProvider, ABuildProjectionItemProvider, ACommandItemProvider, AGroupItemProvider, ALogicItemProvider, AMethodItemProvider, ANoneItemProvider, ASelectItemProvider, ASinkItemProvider

    public class AActItemProvider

extends IIDItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.IItemColorProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`AActItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`void` `addTargets(org.eclipse.emf.common.util.EList<org.metaabm.act.AAct> sources, org.eclipse.emf.common.util.EList<org.metaabm.act.AAct> result)`
`static org.eclipse.emf.common.command.CompoundCommand` `createActDragCommand(org.eclipse.emf.edit.domain.EditingDomain domain, int eventID, org.metaabm.act.AAct sourceAct, org.metaabm.act.AAct targetAct)`
`java.util.Collection<?>` `getChildren(java.lang.Object object)`

`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)`
`java.lang.Object` `getImage(java.lang.Object object)` This returns AAct.gif.
`java.lang.Object` `getParent(java.lang.Object object)`
`java.util.List<org.metaabm.act.AAct>` `getParents(java.lang.Object object)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()` Return the resource locator for this item provider's resources.
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class.
`boolean` `hasChildren(java.lang.Object object)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
`java.lang.String` `suggestID(org.metaabm.IID object)`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, suggestLabel, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, createCommand, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getString, getString, getString, getString, getUpdateableText, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getNewChildDescriptors`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemLabelProvider
`getColumnImage`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`getBackground, getForeground`

Constructor Detail

### AActItemProvider

    public AActItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `IIDItemProvider`

### addTargets

    public void addTargets(org.eclipse.emf.common.util.EList<org.metaabm.act.AAct> sources,
                           org.eclipse.emf.common.util.EList<org.metaabm.act.AAct> result)

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createActDragCommand

    public static org.eclipse.emf.common.command.CompoundCommand createActDragCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                                      int eventID,
                                                                                      org.metaabm.act.AAct sourceAct,
                                                                                      org.metaabm.act.AAct targetAct)

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns AAct.gif.

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `IIDItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `IIDItemProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object object)

  Description copied from class: `IIDItemProvider`

  Specified by:
    `hasChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `hasChildren` in class `IIDItemProvider`

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.emf.edit.provider.ITableItemLabelProvider`
  Overrides:
    `getColumnText` in class `MetaABMItemProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

  Overrides:
    `getResourceLocator` in class `IIDItemProvider`

### getParents

    public java.util.List<org.metaabm.act.AAct> getParents(java.lang.Object object)

### suggestID

    public java.lang.String suggestID(org.metaabm.IID object)

  Overrides:
    `suggestID` in class `MetaABMItemProvider`